# $Revision: 1.23 $, $Date: 2011/10/16 15:00:02 $
%define		srcname	LibVNCServer
Summary:	LibVNCServer - a for easy implementation of VNC/RDP server
Summary(pl.UTF-8):	LibVNCServer - biblioteka do łatwego implementowania serwera VNC/RDP
Name:		libvncserver
Version:	0.9.8.1
Release:	1
Epoch:		0
License:	GPL v2
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libvncserver/%{srcname}-%{version}.tar.gz
# Source0-md5:	51e972bd26c098b0b8d4687af6afbeb1
Patch0:		%{name}-linux.patch
URL:		http://libvncserver.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gnutls-devel >= 2.4.0
BuildRequires:	libgcrypt-devel >= 1.4.0
BuildRequires:	libjpeg-devel
BuildRequires:	libtool
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	zlib-devel
# not used (x11vnc moved to separate package)
#BuildRequires:	openssl-devel
# for noinst client_examples only
#BuildRequires:	SDL-devel
#BuildRequires:	ffmpeg-devel
Requires:	gnutls >= 2.4.0
Requires:	libgcrypt >= 1.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibVNCServer makes writing a VNC server (or more correctly, a program
exporting a framebuffer via the Remote Frame Buffer protocol) easy.

It is based on OSXvnc, which in turn is based on the original Xvnc by
ORL, later AT&T research labs in UK.

It hides the programmer from the tedious task of managing clients and
compression schemata.

LibVNCServer was put together and is (actively ;-) maintained by
Johannes Schindelin <Johannes.Schindelin@gmx.de>.

%description -l pl.UTF-8
LibVNCServer ułatwia pisanie serwera VNC (lub, bardziej poprawnie,
programu eksportującego framebuffer poprzez protokół Remote Frame
Buffer).

Jest oparty na OSXvnc, który z kolei bazuje na oryginalnym Xvnc
napisanym przez ORL, a później AT&T.

Biblioteka ukrywa przed programistą nudne zadanie zarządzania
klientami i schematami kompresji.

LibVNCServer została poskładana i jest (aktywnie) utrzymywana przez
Johannesa Schindelina <Johannes.Schindelin@gmx.de>.

%package devel
Summary:	LibVNCServer header files
Summary(pl.UTF-8):	Pliki nagłówkowe LibVNCServer
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gnutls-devel >= 2.4.0
Requires:	libgcrypt-devel >= 1.4.0
Requires:	libjpeg-devel
Requires:	zlib-devel

%description devel
LibVNCServer header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe LibVNCServer.

%package static
Summary:	Static LibVNCServer libraries
Summary(pl.UTF-8):	Statyczne biblioteki LibVNCServer
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static LibVNCServer libraries.

%description static -l pl.UTF-8
Statyczne biblioteki LibVNCServer.

%package progs
Summary:	Example programs that use LibVNCServer
Summary(pl.UTF-8):	Przykładowe programy wykorzystujące LibVNCServer
Group:		Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description progs
Example programs that use LibVNCServer.

%description progs -l pl.UTF-8
Przykładowe programy wykorzystujące LibVNCServer.

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1

install -d x11vnc/misc
touch x11vnc/Makefile.in x11vnc/misc/Makefile.in

awk 'BEGIN { f=1; } /# libtool.m4/ { f=0; } { if (f) { print $0; } }' acinclude.m4 > acinclude.m4.new
mv acinclude.m4.new acinclude.m4

sed -i -e '/AC_CONFIG_FILES.*x11vnc/d' configure.ac

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--without-x11vnc
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# *.la not removed - *.pc don't contain Requires.private nor Libs.private

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libvncclient.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvncclient.so.0
%attr(755,root,root) %{_libdir}/libvncserver.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvncserver.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libvncserver-config
%attr(755,root,root) %{_libdir}/libvncclient.so
%attr(755,root,root) %{_libdir}/libvncserver.so
%{_libdir}/libvncclient.la
%{_libdir}/libvncserver.la
%{_includedir}/rfb
%{_pkgconfigdir}/libvncclient.pc
%{_pkgconfigdir}/libvncserver.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libvncclient.a
%{_libdir}/libvncserver.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/LinuxVNC

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libvncserver.spec,v $
Revision 1.23  2011/10/16 15:00:02  qboosh
- updated to 0.9.8.1 (fixes ABI breakage introduced in 0.9.8)

Revision 1.22  2011/08/31 06:58:32  arekm
- release 2

Revision 1.21  2011/04/21 17:48:58  qboosh
- updated to 0.9.8
- updated linux patch

Revision 1.20  2010/11/18 06:16:27  qboosh
- verbose files, ghost soname symlinks

Revision 1.19  2010/02/26 17:57:36  hawk
- release 3

Revision 1.18  2010/01/11 00:02:04  sparky
- dropped BR: xorg-lib-libXTrap-devel

Revision 1.17  2010/01/10 22:10:48  hawk
- release 2

Revision 1.16  2009/07/11 21:30:55  arekm
- up to 0.9.7

Revision 1.15  2009/07/11 19:55:53  arekm
- release 2

Revision 1.14  2007/06/01 23:39:42  qboosh
- updated to 0.9.1
- updated linux patch to kill unnecessary -lnsl and fix ac/am

Revision 1.13  2007/04/28 22:12:50  qboosh
- removed obsolete comment (openssl is used by x11vnc now)

Revision 1.12  2007/04/08 12:46:31  shadzik
- 0.9
- removed obsolete -shared.patch

Revision 1.11  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.9  2006/08/26 10:05:39  qboosh
- updated to 0.8.2 (fixes CVE-2006-2450)
- updated shared patch, -devel deps, switched to modular xorg

Revision 1.8  2005/10/23 08:16:55  qboosh
- updated to 0.7.1, updated shared patch

Revision 1.7  2005/07/21 17:47:47  darekr
- added %doc, gpm-friendly Source0

Revision 1.6  2004/09/01 11:49:24  snurf
- typos / formatting / etc.

Revision 1.5  2003/12/19 18:35:31  eothane
- changed dl.sf.net to dl.sourceforge.net (SourceN:'s)

Revision 1.4  2003/12/15 15:21:27  wiget
- force Linux detection

Revision 1.3  2003/11/28 18:39:17  qboosh
- added shared patch to build shared libs (incl. nolibs and optflags fixes)
- separated -progs to kill X11 dependency in base
- pl descriptions

Revision 1.2  2003/11/26 22:40:37  krzak
- -devel package

Revision 1.1  2003/11/26 21:38:11  krzak
- initial PLD release
